Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Class AnnotationPainter.UnderlineStrategy

    java.lang.Object
      org.eclipse.jface.text.source.AnnotationPainter.UnderlineStrategy

All Implemented Interfaces:
  AnnotationPainter.ITextStyleStrategy

Enclosing class:
  AnnotationPainter

    public static final class AnnotationPainter.UnderlineStrategy

extends Object
implements AnnotationPainter.ITextStyleStrategy

Underline text style strategy.

Since:
  3.4

Constructor Summary
`AnnotationPainter.UnderlineStrategy(int style)`

Method Summary
`void` `applyTextStyle(StyleRange styleRange, Color annotationColor)` Applies a text style on the given `StyleRange`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationPainter.UnderlineStrategy

    public AnnotationPainter.UnderlineStrategy(int style)

Method Detail

### applyTextStyle

    public void applyTextStyle(StyleRange styleRange,
                               Color annotationColor)

  Description copied from interface: `AnnotationPainter.ITextStyleStrategy`
  Applies a text style on the given `StyleRange`.

  Specified by:
    `applyTextStyle` in interface `AnnotationPainter.ITextStyleStrategy`
  Parameters:
    `styleRange` - the style range on which to apply the text style
    `annotationColor` - the color of the annotation

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.